/* Flex */
.c-column.flex-unset--inner>*>* {
  flex: unset !important;
}

/* Gap */
.gap-5>* {
  gap: 5px;
}

.gap-10>* {
  gap: 10px;
}

.gap-20>* {
  gap: 20px;
}

.gap-40>* {
  gap: 40px;
}

@media (min-width: 768px) {
  .gap-5--desktop>* {
    gap: 5px;
  }

  .gap-10--desktop>* {
    gap: 10px;
  }

  .gap-20--desktop>* {
    gap: 20px;
  }

  .gap-40--desktop>* {
    gap: 40px;
  }
}

section.mobile-preview [class^="gap-"][class*="--desktop"]>*,
section.mobile-preview [class*=" gap-"][class*="--desktop"]>* {
  gap: 0px;
}

/* Width */
.width-fit-content,
.c-wrapper:has(>.width-fit-content) {
  width: fit-content !important;
}

@media (min-width: 768px) {
  .width-25 {
    flex: 0 0 25% !important;
  }

  .width-33 {
    flex: 0 0 calc(100% / 3) !important;
  }

  .width-40 {
    flex: 0 0 40% !important
  }
}

section.mobile-preview [class^="width-"],
section.mobile-preview [class*=" width-"] {
  flex: 1 1 auto !important;
}

/* Max Width */
.max-width-768 {
  max-width: 768px !important;
}

.max-width-540 {
  max-width: 540px !important;
}

/* Height */
.height-fit-content {
  height: fit-content !important;
}

.height-100vh {
  height: 100vh !important;
}

.height-100dvh {
  height: 100dvh !important;
}

@media (min-width: 768px) {
  .height-100dvh--desktop {
    height: 100dvh !important;
  }
}

section.mobile-preview .height-100dvh--desktop {
  height: unset !important;
}

/* Position */
.position-sticky {
  position: sticky !important;
}

@media (min-width: 768px) {
  .position-sticky--desktop {
    position: sticky !important;
  }
}

section.mobile-preview .position-sticky--desktop {
  position: unset !important;
}

.top-0 {
  top: 0px;
}

.top-60 {
  top: 60px;
}

.top-80 {
  top: 80px;
}

.top-100 {
  top: 100px;
}

.top-120 {
  top: 120px;
}

.top-140 {
  top: 140px;
}

.top-160 {
  top: 160px;
}

/* Text Wrap */
.text-wrap-balance {
  text-wrap: balance !important;
}